import java.io.*;
import java.util.*;

public class reading_pk {

	void solve() throws IOException {
		Scanner in = new Scanner(new File("reading.in"));
		int[] a = new int[26];
		while (in.hasNext()) {
			String t = in.next().toLowerCase();
			for (int i = 0; i < t.length(); i++) {
				if (t.charAt(i) >= 'a' && t.charAt(i) <= 'z')
					a[t.charAt(i) - 'a']++;
			}
		}
		//System.err.println(Arrays.toString(a));
		if (a[0] > 10 * a[25]) {
			out.println("Real life");
		} else {
			out.println("Dreaming");
		}
		in.close();
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;

	void run() {
		try {
			// br = new BufferedReader(new InputStreamReader(System.in));
			out = new PrintWriter(System.out);

			// br = new BufferedReader(new FileReader(new File("Scanner.in")));
			out = new PrintWriter("reading.out");
			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args) {
		new reading_pk().run();
	}

	String nextToken() throws IOException {
		while ((st == null) || !st.hasMoreTokens())
			st = new StringTokenizer(br.readLine());
		return st.nextToken();
	}

	int nextInt() throws NumberFormatException, IOException {
		return Integer.parseInt(nextToken());
	}

	double nextDouble() throws NumberFormatException, IOException {
		return Double.parseDouble(nextToken());
	}

	long nextLong() throws NumberFormatException, IOException {
		return Long.parseLong(nextToken());
	}
}
